Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044479
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Gift cards and gift vouchersmajoralways2020-06-24 17:592020-07-08 12:10
Reportersamuel_nicuesaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision599d67ccfcfa
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044479: Javascript error using gift voucher

DescriptionJavascript error using gift voucher
Steps To Reproduce[BO]

Go to Product Window
Configure one product as Gift Voucher
Go to Price Tab and select the price list version setting the Unit price and list price 0.00
Go to Gift Voucher summary and include one product (Avalanche Transceiver)

[POS]

Login in WEB POS

Select the git voucher product
In the line, item properties pop up Select Gift Card Owner and one Identifier
Add the avalanche transceiver product and another product
Select the Gift Card voucher as payment
Select the previous gift voucher created
Click on the apply button
The error message will be shown (UNDEFINED Gift voucher with ID "" not found)
Click on menu drop down and select Gift / Credit Notes
Click on the search button and select the gift voucher
Click on the apply button and the javascript error message will happen.


I think this error is happening if the gift voucher product price is equal to 0.00
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121051)
samuel_nicuesa (developer)
2020-06-24 18:18

Video
https://drive.google.com/file/d/1vEtPNA_6Q04fFQ_ONq4fkJ3TDg81Q5Se/view?usp=sharing [^]
(0121325)
hgbot (developer)
2020-07-08 11:51

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 599d67ccfcfa3d1c5d1e961ac03518805761a86d
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Jul 08 15:20:35 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/599d67ccfcfa3d1c5d1e961ac03518805761a86d [^]

Fixed issue-44479: Order Lines should not be consumed if Voucher is closed

* When consuming GiftVoucher for n lines,
  if voucher is fully consumed for less than n lines,
  then remaining lines should not be validated for consumptions
* Updating Error message when consuming gift voucher

---
M src/org/openbravo/retail/giftcards/ConsumeGiftCardLines.java
M src/org/openbravo/retail/giftcards/GiftCardModel.java
M web/org.openbravo.retail.giftcards/js/components/GiftCardDetails.js
M web/org.openbravo.retail.giftcards/js/model/GiftCardUtils.js
---

- Issue History
Date Modified Username Field Change
2020-06-24 17:59 samuel_nicuesa New Issue
2020-06-24 17:59 samuel_nicuesa Assigned To => Retail
2020-06-24 17:59 samuel_nicuesa Triggers an Emergency Pack => No
2020-06-24 18:18 samuel_nicuesa Note Added: 0121051
2020-07-05 18:01 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-07-07 10:27 ngarcia Priority low => urgent
2020-07-07 13:21 ngarcia Issue Monitored: ngarcia
2020-07-08 06:13 ranjith_qualiantech_com Status new => scheduled
2020-07-08 11:51 hgbot Checkin
2020-07-08 11:51 hgbot Note Added: 0121325
2020-07-08 11:51 hgbot Status scheduled => resolved
2020-07-08 11:51 hgbot Resolution open => fixed
2020-07-08 11:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/599d67ccfcfa3d1c5d1e961ac03518805761a86d [^]
2020-07-08 12:10 marvintm Review Assigned To => marvintm
2020-07-08 12:10 marvintm Status resolved => closed
2020-07-08 12:10 marvintm Fixed in Version => RR20Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker